## q2-feature-table 2020.11.1+dfsg

=== Makefile ===
.PHONY: all lint test test-cov install dev clean distclean

PYTHON ?= python

all: ;

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_feature_table

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean

distclean: ;

=== debian/changelog ===
q2-feature-table (2020.11.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Dec 2020 20:56:47 +0100

q2-feature-table (2020.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Ignoring test results since module registration fails

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Dec 2020 11:48:56 +0100

q2-feature-table (2019.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Standards-Version: 4.4.1
  * Needs qiime and q2templates >= 2019.10.0

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 29 Dec 2019 19:10:59 +0300

q2-feature-table (2019.4.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #932001)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 10 Jun 2019 03:53:02 +0200

=== debian/control ===
Source: q2-feature-table
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-biom-format,
               python3-seaborn,
               qiime (>= 2020.11.0),
               q2templates,
               q2-types
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-feature-table
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-skbio,
         python3-biom-format,
         python3-h5py,
         python3-seaborn,
         python3-numpy,
         python3-ipywidgets,
         qiime (>= 2020.11.0),
         q2templates,
         q2-types
Description: QIIME 2 plugin supporting operations on feature tables
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz, \
  filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-feature-table/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-feature-table 2021.8.0+dfsg

=== debian/changelog ===
q2-feature-table (2021.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * d/salsa-ci.yml: Disable build on i386 due to missing python3-skbio

  [ Steffen Moeller ]
  * Fixed d/watch
  * d/u/metadata: Added ref to conda.
  * Standards-Version: 4.6.0 (routine-update)

  [ Andreas Tille ]
  * Versioned Depends of latest qiime and q2 modules

 -- Andreas Tille <tille@debian.org>  Mon, 27 Sep 2021 21:12:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-pytest-cov,
                python3-biom-format,
                python3-seaborn,
-               qiime (>= 2020.11.0),
-               q2templates,
-               q2-types
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2templates (>= 2021.8.0),
+               q2-types (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
 Homepage: https://qiime2.org/
@@ -30,9 +30,9 @@
          python3-seaborn,
          python3-numpy,
          python3-ipywidgets,
-         qiime (>= 2020.11.0),
-         q2templates,
-         q2-types
+         qiime (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
+         q2-types (>= 2021.8.0)
 Description: QIIME 2 plugin supporting operations on feature tables
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-feature-table 2022.2.0+dfsg

=== debian/changelog ===
q2-feature-table (2022.2.0+dfsg-2) unstable; urgency=medium

  * Updated dependency on qiime/q2-* >= 2022.2.0

 -- Steffen Moeller <moeller@debian.org>  Mon, 11 Jul 2022 00:22:03 +0200

q2-feature-table (2022.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Jun 2022 19:30:49 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-pytest-cov,
                python3-biom-format,
                python3-seaborn,
-               qiime (>= 2021.8.0),
-               q2templates (>= 2021.8.0),
-               q2-types (>= 2021.8.0)
-Standards-Version: 4.6.0
+               qiime (>= 2022.2.1),
+               q2templates (>= 2022.2.0),
+               q2-types (>= 2022.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
 Homepage: https://qiime2.org/
@@ -30,9 +30,9 @@
          python3-seaborn,
          python3-numpy,
          python3-ipywidgets,
-         qiime (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
-         q2-types (>= 2021.8.0)
+         qiime (>= 2022.2.1),
+         q2templates (>= 2022.2.0),
+         q2-types (>= 2022.2.0)
 Description: QIIME 2 plugin supporting operations on feature tables
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-feature-table 2022.8.1+dfsg

=== debian/changelog ===
q2-feature-table (2022.8.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Lintian-overrides for false positive

 -- Andreas Tille <tille@debian.org>  Fri, 07 Oct 2022 16:35:43 +0200

q2-feature-table (2022.8.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0+dfsg (Closes: #1017515)
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 20:13:07 +0530

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                python3-pytest-cov,
                python3-biom-format,
                python3-seaborn,
-               qiime (>= 2022.2.1),
-               q2templates (>= 2022.2.0),
-               q2-types (>= 2022.2.0)
+               qiime (>= 2022.8.0),
+               q2templates (>= 2022.8.0),
+               q2-types (>= 2022.8.0)
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
@@ -30,9 +30,9 @@
          python3-seaborn,
          python3-numpy,
          python3-ipywidgets,
-         qiime (>= 2022.2.1),
-         q2templates (>= 2022.2.0),
-         q2-types (>= 2022.2.0)
+         qiime (>= 2022.8.0),
+         q2templates (>= 2022.8.0),
+         q2-types (>= 2022.8.0)
 Description: QIIME 2 plugin supporting operations on feature tables
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-feature-table 2022.11.1+dfsg

=== debian/changelog ===
q2-feature-table (2022.11.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:43:24 +0100

q2-feature-table (2022.11.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 18:38:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                python3-pytest-cov,
                python3-biom-format,
                python3-seaborn,
-               qiime (>= 2022.8.0),
-               q2templates (>= 2022.8.0),
-               q2-types (>= 2022.8.0)
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1),
+               q2templates (>= 2022.11.1),
+               q2-types (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
 Homepage: https://qiime2.org/
@@ -30,9 +30,9 @@
          python3-seaborn,
          python3-numpy,
          python3-ipywidgets,
-         qiime (>= 2022.8.0),
-         q2templates (>= 2022.8.0),
-         q2-types (>= 2022.8.0)
+         qiime (>= 2022.11.1),
+         q2templates (>= 2022.11.1),
+         q2-types (>= 2022.11.1)
 Description: QIIME 2 plugin supporting operations on feature tables
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

TSORTER=q2_feature_table/_summarize/tabulate_seqs_assets
VEGA=q2_feature_table/_summarize/summarize_assets/vega
export PYBUILD_AFTER_BUILD=mkdir -pv {build_dir}/${TSORTER}/js {build_dir}/${VEGA}/js ; \
	cp -av debian/JS/vega/vega.min.js {build_dir}/${VEGA}/js ; \
	cp -av debian/JS/vega-embed/vega-embed.min.js {build_dir}/${VEGA}/js ; \
	cp -av debian/JS/tsorter/tsorter.min.js {build_dir}/${TSORTER}/js

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-table.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME: similarly to the qiime package, the build time testing fails, as the
#        Qiime plugin system is not fully available at this point of the package
#        construction.  The test suite is only run at autopkgtest time, but this
#        is not ideal, since the only tested python version is the default one.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_feature_table" || true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f q2_feature_table.egg-info/PKG-INFO q2_feature_table.egg-info/SOURCES.txt q2_feature_table.egg-info/dependency_links.txt q2_feature_table.egg-info/entry_points.txt q2_feature_table.egg-info/not-zip-safe q2_feature_table.egg-info/top_level.txt

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,\
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qiime2/q2-feature-table/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## q2-feature-table 2024.5.0+dfsg

=== debian/changelog ===
q2-feature-table (2024.5.0+dfsg-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:37:30 +0200

q2-feature-table (2024.5.0+dfsg-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:37 +0200

q2-feature-table (2024.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 02:53:13 +0200

q2-feature-table (2024.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Run autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 13:02:37 +0100

q2-feature-table (2023.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 08:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-feature-table
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
+               dh-sequence-python3,
+               python3-all,
                python3-setuptools,
                python3-pytest-cov,
                python3-biom-format,
                python3-seaborn,
-               qiime (>= 2022.11.1),
-               q2templates (>= 2022.11.1),
-               q2-types (>= 2022.11.1)
+               qiime (>= 2024.5),
+               q2templates (>= 2024.5),
+               q2-types (>= 2024.5)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-feature-table
 Vcs-Git: https://salsa.debian.org/med-team/q2-feature-table.git
@@ -30,9 +31,9 @@
          python3-seaborn,
          python3-numpy,
          python3-ipywidgets,
-         qiime (>= 2022.11.1),
-         q2templates (>= 2022.11.1),
-         q2-types (>= 2022.11.1)
+         qiime (>= 2024.5),
+         q2templates (>= 2024.5),
+         q2-types (>= 2024.5)
 Description: QIIME 2 plugin supporting operations on feature tables
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
 
 TSORTER=q2_feature_table/_summarize/tabulate_seqs_assets
 VEGA=q2_feature_table/_summarize/summarize_assets/vega
@@ -16,8 +19,14 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-feature-table.egg-* {build_dir}/site.py \
 	{build_dir}/.coverage* {build_dir}/easy-install.pth
 
+#export PYBUILD_DISABLE=python3.12
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 # FIXME: similarly to the qiime package, the build time testing fails, as the
 #        Qiime plugin system is not fully available at this point of the package
